%global major		0
%global libname		%mklibname %{name} %{major}
%global develname	%mklibname %{name} -d

Name:		xxhash
Version:	0.8.1
Release:	%mkrel 1
Summary:	Extremely fast hash algorithm
Group:		Development/C

#		The source for the library (xxhash.c and xxhash.h) is BSD
#		The source for the command line tool (xxhsum.c) is GPLv2+
License:	BSD and GPLv2+
URL:		http://www.xxhash.com/
Source0:	https://github.com/Cyan4973/xxHash/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	gcc

%description
xxHash is an Extremely fast Hash algorithm, running at RAM speed
limits. It successfully completes the SMHasher test suite which
evaluates collision, dispersion and randomness qualities of hash
functions. Code is highly portable, and hashes are identical on all
platforms (little / big endian).

%package -n %libname
Summary:	Extremely fast hash algorithm - library
License:	BSD

%description -n %libname
xxHash is an Extremely fast Hash algorithm, running at RAM speed
limits. It successfully completes the SMHasher test suite which
evaluates collision, dispersion and randomness qualities of hash
functions. Code is highly portable, and hashes are identical on all
platforms (little / big endian).

%package -n %develname
Summary:	Extremely fast hash algorithm - development files
License:	BSD
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %develname
Development files for the xxhash library.

%prep
%setup -q -n xxHash-%{version}

%build
%set_build_flags
%make_build

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}

rm %{buildroot}%{_libdir}/libxxhash.a

%check
make check
make test-xxhsum-c

%files
%{_bindir}/xxh*sum
%{_mandir}/man1/xxh*sum.1*
%license LICENSE
%doc README.md

%files -n %libname
%{_libdir}/libxxhash.so.%{major}{,.*}
%license LICENSE
%doc README.md

%files -n %develname
%{_includedir}/xxhash.h
%{_includedir}/xxh3.h
%{_libdir}/libxxhash.so
%{_libdir}/pkgconfig/libxxhash.pc


%changelog
* Sun Jun 19 2022 wally <wally> 0.8.1-1.mga9
+ Revision: 1865124
- new version 0.8.1

* Tue Mar 15 2022 umeabot <umeabot> 0.8.0-2.mga9
+ Revision: 1792882
- Mageia 9 Mass Rebuild

* Fri Jul 31 2020 daviddavid <daviddavid> 0.8.0-1.mga8
+ Revision: 1609945
- new version: 0.8.0

* Sat Jun 27 2020 daviddavid <daviddavid> 0.7.4-1.mga8
+ Revision: 1599448
- New version 0.7.4

* Fri Mar 20 2020 shlomif <shlomif> 0.7.3-1.mga8
+ Revision: 1558318
- New version 0.7.3

* Tue Feb 18 2020 umeabot <umeabot> 0.7.2-2.mga8
+ Revision: 1539627
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags
- build with our %%ldflags

* Mon Dec 09 2019 shlomif <shlomif> 0.7.2-1.mga8
+ Revision: 1465437
- New version 0.7.2

* Tue Sep 03 2019 shlomif <shlomif> 0.7.1-1.mga8
+ Revision: 1436827
- New version 0.7.1

* Sun May 12 2019 akien <akien> 0.7.0-2.mga7
+ Revision: 1397364
- Add %%name-devel virtual provides to dev lib

* Wed May 08 2019 shlomif <shlomif> 0.7.0-1.mga7
+ Revision: 1396793
- requires fix
- import from fedora

